Summary:	Battery monitor plugin for the Xfce panel
Summary(de):	Batteriemonitorerweiterung für das Xfce-Panel
Name:		xfce4-battery-plugin
Version:	1.1.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.xz
Requires:	xfce4-panel 
Requires:       glibc
Requires:       libstdc++6 
BuildRequires:	xfce4-panel-devel 
BuildRequires:	libxfce4ui-devel
BuildRequires:	libxfce4util-devel 
BuildRequires:	perl(XML::Parser)
Obsoletes:	xfce-battery-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
Battery monitor panel plugin for the Xfce Desktop Environment.

#german
%description -l de
Batteriemonitorerweiterung für das Xfce-Panel

#french
%description -l fr
Batterie de moniteur à écran plugin pour l'environnement de bureau Xfce.

#spanish
%description -l es
Panel de control de la batería plugin para el entorno de escritorio Xfce.

#polish
%description -l pl
Battery monitor panel plugin for the Xfce Desktop Environment.

#serbian
%description -l sr
Батерије монитора панела плугин за Ксфце Десктоп окружење.

#dutch
%description -l nl
Batterij monitorpaneel plugin voor de Xfce Desktop Environment.

%prep

%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_iconsdir}/hicolor/icon-theme.cache

#Fix desktop file
perl -pi -e "s|libexec|lib|" $RPM_BUILD_ROOT%{_datadir}/xfce4/panel-plugins/*.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%{_libdir}/xfce4/panel/plugins/*
%{_datadir}/xfce4/panel/plugins/*
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/locale/*


%changelog
* Mon Dec 26 2016 ghostbunny <ghostbunny at gmx dot de> 1.1.0-1pclos2017
- 1.1.0

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 1.0.5-2pclos2015
- rebuild against new libxfce4util7
- replace libxfcegui4-devel by libxfce4ui-devel
- add missing BR libxfce4util-devel

* Thu Sep 20 2012 Neal <nealbrks0 at gmail.com> 1.0.5-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail.com> 1.0.5-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 1.0.5-1pclos2012
- 1.0.5
- added/fixed german summary and description
- fixed files section

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 1.0.1-3pclos2012
- rebuild

* Fri Mar 25 2011 Texstar <texstar at gmail.com> 1.0.1-2pclos2011
- fix desktop file

* Thu Feb 24 2011 Sproggy <desproggster@gmail.com> 1.0.1-1pclos2011
- updated 1.0.1

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 1.0.0-1pclos2011
- updated for xfce4.8

* Sun Nov 14 2010 Sproggy <desproggster@gmail.com> 0.5.1-3pclos2010
- update xfce4.8pre1

* Wed Oct 07 2009 Neal <nealbrks0@gmail.com> 0.5.1-2
- gcc update

* Mon Apr 06 2009 pcserver <pcserver@hushmail.com> 0.5.1-1pclos2007
- create
